Subject: Re: Cannot change hash functions or use static not random keys on E810

From: Jakub Kicinski <[email-masked]>
Date: Fri, 5 Aug 2022 17:55:53 -0700

On Fri, 5 Aug 2022 16:00:43 +0200 Maciej Wachowski wrote:
> I am not able to change hash function on Intel E810 card using ethtool:
> 
> RSS hash function:
>     toeplitz: on
>     xor: off
>     crc32: off
> 
> root@my_server:~# ethtool -X ens802f0 hfunc xor
> Cannot set RX flow hash configuration: Operation not supported
> 
> I also tried with newest ethtool (5.18) and newest ice driver (1.9.11)
> but with no success.
> Do you have any information on how to change hash func using ethtool
> or if it is possible?

ETH_RSS_HASH_XOR is usually implemented by devices doing hashing 
in microcode because it requires fewer cycles. Looking at the driver
ice (E810) only supports Toeplitz which is probably the best choice 
of the 3, anyway.